.ui-pin[data-v-79e4866c] {
    align-items: center;
    border-radius: 50%;
    display: flex;
    flex-shrink: 0;
    justify-content: center;
    transition: all .4s ease
}

.ui-pin--theme--primary[data-v-79e4866c] {
    border: 1px solid hsla(0, 0%, 100%, .2);
    color: #fff
}

.ui-pin--theme--primary.ui-pin--disabled[data-v-79e4866c] {
    color: #999
}

@media (hover:hover) {
    .ui-pin--theme--primary[data-v-79e4866c]:hover {
        border-color: #e6e6e6
    }
}

.ui-pin--theme--secondary[data-v-79e4866c] {
    border: 1px solid rgba(34, 34, 34, .2);
    color: #2b2b2b
}

.ui-pin--theme--secondary.ui-pin--disabled[data-v-79e4866c] {
    border-color: #ccc;
    color: #999
}

@media (hover:hover) {
    .ui-pin--theme--secondary[data-v-79e4866c]:hover {
        border-color: #222
    }
}

.ui-pin--theme--addition[data-v-79e4866c] {
    background-color: #fff;
    color: #222
}

.ui-pin--theme--addition.ui-pin--disabled[data-v-79e4866c] {
    background-color: #ccc;
    color: #999
}

@media (hover:hover) {
    .ui-pin--theme--addition[data-v-79e4866c]:hover {
        background-color: #2b2b2b;
        color: #fff
    }
}

.ui-pin--theme--tertiary[data-v-79e4866c] {
    background-color: #ffffff;
    background: linear-gradient(90deg, #936531 0%, #ae854c 25%, #cba86a 50%, #b0894f 75%, #8f612d 100%);
    /* border: 1px solid rgb(0 0 0 / 20%); */
    color: #ffffff;
}

.ui-pin--theme--tertiary.ui-pin--disabled[data-v-79e4866c] {
    border-color: #ccc;
    color: #999
}

@media (hover:hover) {
    .ui-pin--theme--tertiary[data-v-79e4866c]:hover {
        border-color: #222
    }
}

.ui-pin--size--xxs[data-v-79e4866c] {
    height: 2em;
    width: 2em
}

.ui-pin--size--xxs .ui-pin__icon[data-v-79e4866c] {
    height: .375em;
    width: .375em
}

.ui-pin--size--xs[data-v-79e4866c] {
    height: 3em;
    width: 3em;
}

.ui-pin--size--xs .ui-pin__icon[data-v-79e4866c] {
    height: .75em;
    width: .75em
}

.ui-pin--size--sm[data-v-79e4866c] {
    height: 2.5em;
    width: 2.5em
}

.ui-pin--size--sm .ui-pin__icon[data-v-79e4866c] {
    height: 1.25em;
    width: 1.25em
}

.ui-pin--size--md[data-v-79e4866c] {
    height: 2.5em;
    width: 2.5em
}

@media (max-width:1023.98px) {
    .ui-pin--size--md[data-v-79e4866c] {
        height: 2em;
        width: 2em
    }
}

.ui-pin--size--md .ui-pin__icon[data-v-79e4866c] {
    height: .625em;
    width: .625em
}

@media (max-width:1023.98px) {
    .ui-pin--size--md .ui-pin__icon[data-v-79e4866c] {
        height: .5625em;
        width: .5625em
    }
}

.ui-pin--disabled[data-v-79e4866c] {
    opacity: .5;
    pointer-events: visible
}